package com.rich.keyboard.skin.data.configbean;



import java.util.ArrayList;
import java.util.List;

public class ConfigBean {
    private String name;
    private List<ConfigChild> configChildren = new ArrayList<>();


    public ConfigBean(String name) {
        this.name = name;
    }

    // Getters and Setters
    public String getName() {
        return name;
    }

    public List<ConfigChild> getKeys() {
        return configChildren;
    }

    public void addKey(ConfigChild configChild) {
        this.configChildren.add(configChild);
    }

    public ConfigChild getLastKey() {
        return configChildren.isEmpty() ? null : configChildren.get(configChildren.size() - 1);
    }


}